Module java.desktop
Package javax.swing.text

## Class DateFormatter

- java.lang.Object
- - javax.swing.JFormattedTextField.AbstractFormatter
  - - javax.swing.text.DefaultFormatter
    - - javax.swing.text.InternationalFormatter
      - - javax.swing.text.DateFormatter

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public class DateFormatter
    extends InternationalFormatter

DateFormatter is an `InternationalFormatter` that does its formatting by way of an instance of `java.text.DateFormat`.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

Since:
  1.4
See Also:
  `DateFormat`, Serialized Form

### Constructor Summary

Constructors
`DateFormatter()` This is shorthand for `new DateFormatter(DateFormat.getDateInstance())`.
`DateFormatter​(DateFormat format)` Returns a DateFormatter configured with the specified `Format` instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setFormat​(DateFormat format)` Sets the format that dictates the legal values that can be edited and displayed.

### Methods declared in class javax.swing.text.InternationalFormatter

`clone, getActions, getFields, getFormat, getMaximum, getMinimum, install, setFormat, setMaximum, setMinimum, stringToValue, valueToString`

### Methods declared in class javax.swing.text.DefaultFormatter

`getAllowsInvalid, getCommitsOnValidEdit, getDocumentFilter, getNavigationFilter, getOverwriteMode, getValueClass, setAllowsInvalid, setCommitsOnValidEdit, setOverwriteMode, setValueClass`

### Methods declared in class javax.swing.JFormattedTextField.AbstractFormatter

`getFormattedTextField, invalidEdit, setEditValid, uninstall`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateFormatter

    public DateFormatter()

This is shorthand for `new DateFormatter(DateFormat.getDateInstance())`.

#### DateFormatter

    public DateFormatter​(DateFormat format)

Returns a DateFormatter configured with the specified `Format` instance.

Parameters:
  `format` - Format used to dictate legal values

### Method Detail

#### setFormat

    public void setFormat​(DateFormat format)

Sets the format that dictates the legal values that can be edited and displayed.

If you have used the nullary constructor the value of this property will be determined for the current locale by way of the `Dateformat.getDateInstance()` method.

Parameters:
  `format` - DateFormat instance used for converting from/to Strings